<template>
  <div class="home">
    <edit-directory/>
    <button @click="onCreate" class="create-button">Create Directory</button>
    <directory-list/>
  </div>
</template>

<script>
import DirectoryList from '@/components/DirectoryList.vue';
import EditDirectory from '@/components/EditDirectory.vue';

export default {
  name: "HomeView",
  components: {
    DirectoryList,
    EditDirectory
  },
  methods: {
    onCreate() {
      this.$router.push({
        name: 'config',
      })
    },
  },
};
</script>

<style scoped>
.create-button {
  padding: 10px 15px;
  margin: 10px 0;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-weight: bold;
  transition: background-color 0.3s;
  background-color: #4caf50;
  color: white;
  
}

.create-button:hover {
  background-color: #66bb6a;
}
</style>
